pymongo (3.11.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2024-5629.patch: Fix bson size check
      in bson/_cbsonmodule.c.
    - CVE-2024-5629

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 04 Jul 2024 09:43:11 -0300

pymongo (3.11.0-1build8) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:48 +0200

pymongo (3.11.0-1build7) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:19:48 +0000

pymongo (3.11.0-1build6) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 21:31:01 -0500

pymongo (3.11.0-1build5) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:41:07 +0000

pymongo (3.11.0-1build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:41:45 +0000

pymongo (3.11.0-1build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:54 +0000

pymongo (3.11.0-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:45 +0200

pymongo (3.11.0-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:43 +0100

pymongo (3.11.0-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

  [ Stefano Rivera ]
  * Fix test failure on Python 3.9 (Closes: #972207)
  * Temporarily install __pycache__ directories, to appease dh_missing.

 -- Federico Ceratto <federico@debian.org>  Sat, 17 Oct 2020 22:23:41 +0100

pymongo (3.10.0-2) unstable; urgency=medium

  * debian/patches/da778c501761f9c7fa0f2f1538e5d569d67ad044.patch
    - Fix ObjectId test on 32-bit platforms; Closes: #951723

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Mar 2020 01:06:09 -0400

pymongo (3.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/changelog: Remove trailing whitespaces

  [ Federico Ceratto ]
  * New upstream release
  * Drop Python 2 (Closes: #937482)
  * Update homepage thanks to Chris Lamb (Closes: #924078)

 -- Federico Ceratto <federico@debian.org>  Fri, 27 Dec 2019 22:31:56 +0000

pymongo (3.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #882578)
  * Enable unit tests
  * Not "dfsg" version anymore
  * Add dependency (Closes: #896204)

 -- Federico Ceratto <federico@debian.org>  Sat, 18 Aug 2018 13:05:26 +0100

pymongo (3.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 14 Mar 2018 19:54:42 +0000

pymongo (3.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Removed Janos Guljas from Uploaders (Closes: #849733)
  * Fix python3-pymongo-ext dependency (Closes: #867414)

 -- Federico Ceratto <federico@debian.org>  Tue, 29 Aug 2017 23:32:51 +0100

pymongo (3.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 11 Jan 2017 18:05:49 +0000

pymongo (3.3.1+dfsg1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * New upstream release
  * Bumped debhelper version to 10
  * d/watch: Use https protocol
  * d/control
    - Vcs-* changed to https protocol
    - Standards-Version is 3.9.8 now (no changes needed)
    - Require newer Python{2,3} version
    - Dropped pre-wheezy version from build deps
    - Added autopkgtest-pkg-python testsuite
  * d/copyright: Exclude built Sphinx documentation from orig tarball
  * Added egg-info (Closes: #827536)

 -- Federico Ceratto <federico@debian.org>  Fri, 11 Nov 2016 12:10:07 +0000

pymongo (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Dec 2015 21:30:44 +0000

pymongo (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Fri, 14 Aug 2015 12:50:40 +0200

pymongo (3.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 26 Apr 2015 22:43:13 +0100

pymongo (2.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add architectures armel armhf mipsel ppc64el

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 28 Sep 2014 11:54:48 +0200

pymongo (2.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 26 May 2014 20:59:05 +0100

pymongo (2.7-2) unstable; urgency=low

  * Run dh_sphinxdoc when building python-pymongo-doc only

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Apr 2014 17:59:47 +0100

pymongo (2.7-1) unstable; urgency=low

  * New upstream release.
  * Switch to Pybuild
  * Standards-Version bumped to 3.9.5

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 13 Apr 2014 11:17:20 +0100

pymongo (2.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Oct 2013 19:16:51 +0100

pymongo (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 22 Sep 2013 14:49:04 +0100

pymongo (2.6-1) unstable; urgency=low

  * Imported Upstream version 2.6 (Closes: #709487)
  * Michael G Schwern copyright on time64.c added (Closes: #720612).
  * Improved *-ext dependencies (Closes: #715395)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 27 Aug 2013 22:01:21 +0100

pymongo (2.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split out python3 extensions python-pymongo-ext and python3-bson-ext so
    that they can have proper dependencies (Closes: #712112)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Aug 2013 18:55:56 -0400

pymongo (2.5.2-1) unstable; urgency=high

  * New upstream release. (Closes: #710597)
  * Releasing to unstable.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 02 Jun 2013 11:11:10 +0100

pymongo (2.5-1) experimental; urgency=low

  * New upstream release.
  * Dependency versions updated (Closes: #705560)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 01 May 2013 22:55:11 +0100

pymongo (2.4.2-1) unstable; urgency=low

  * New upstream release. (Closes: #703447)
  * Python3 support added. (Closes: #680376, #680379)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 20 Mar 2013 00:38:10 +0000

pymongo (2.2-2) unstable; urgency=low

  * Dependency added (Closes: #678471)
  * debhelper dependency version bumped to >= 9~

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 26 Jun 2012 23:34:24 +0100

pymongo (2.2-1) unstable; urgency=low

  * New upstream release.
  * Dependencies added (Closes: #670268)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 10 May 2012 21:21:40 +0100

pymongo (2.1.1-3) unstable; urgency=low

  * C extensions moved to python-pymongo-ext and python-bson-ext
    packages (Closes: #657150)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 25 Feb 2012 17:10:28 +0000

pymongo (2.1.1-2) experimental; urgency=low

  * C extensions moved to python-pymongo-ext and python-bson-ext packages

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 10 Feb 2012 21:55:36 +0000

pymongo (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 24 Jan 2012 20:33:33 +0000

pymongo (2.1-1) unstable; urgency=low

  * New upstream release.
  * Add libjs-underscore dependency to python-pymongo-doc.
  * Use unversioned copyright format uri in debian/changelog.

 -- Janos Guljas <janos@resenje.org>  Sun, 11 Dec 2011 02:05:08 +0100

pymongo (2.0.1-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/2.0.1/changelog.html

 -- Janos Guljas <janos@resenje.org>  Tue, 16 Aug 2011 04:25:27 +0200

pymongo (2.0-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/2.0/changelog.html

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 09 Aug 2011 19:28:40 +0000

pymongo (1.11-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/1.11/changelog.html

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 14 Jun 2011 15:10:53 +0000

pymongo (1.10.1-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release.
  * Standards-Version bumped to 3.9.2
  * Minor updates.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 13 Apr 2011 22:54:38 +0200

pymongo (1.10-1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream release.

  [ Federico Ceratto ]
  * FTBFS fixed (Closes: #620069).

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 31 Mar 2011 20:17:41 +0000

pymongo (1.9-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release (Closes: #618271).

  [ Janos Guljas ]
  * Fix debian/python-pymongo.install (Closes: #597085).
  * Switch to dh_python2.
  * Add binary package python-pymongo-doc.
  * Add binary package python-bson.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Mar 2011 11:58:19 +0100

pymongo (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version bumped to 3.9.1

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 22 Aug 2010 15:12:23 +0100

pymongo (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 24 Jun 2010 09:44:11 +0100

pymongo (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 24 Apr 2010 22:24:31 +0100

pymongo (1.5.2-1) unstable; urgency=low

  * Initial release (Closes: #573754)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 05 Apr 2010 15:50:58 +0100
